SDL_GetTextureAlphaModFloat(3)

NAME
SDL_GetTextureAlphaModFloat - Get the additional alpha value multiplied into render copy operations.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetTextureAlphaModFloat(SDL_Texture *texture, float *alpha);

FUNCTION PARAMETERS

texture
    the texture to query

alpha
    a pointer filled in with the current alpha value

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetTextureAlphaMod(3), SDL_GetTextureColorModFloat(3), SDL_SetTextureAlphaModFloat(3)